FW_UPDATE(1)

NAME
fw_update - install and update non-free firmware packages

SYNOPSIS
fw_update [-nv]

DESCRIPTION
The fw_update utility checks which firmware are needed on the system and then installs or updates the relevant packages from the Internet. Since firmware with acceptable licenses are already present in OpenBSD, fw_update exists purely to install and update firmware that may not be freely distributed with OpenBSD.

The options are as follows:

-n  Pass the -n flag to pkg_add(1), causing it to not actually install any firmware packages, just report the steps that would be taken if it was.

-v  Turn on verbose output and pass the -v flag to pkg_add(1). This flag can be specified multiple times for increased pkg_add(1) verbosity.

SEE ALSO
pkg_add(1), dmesg(8)

AUTHORS
-nosplit The fw_update program was written by Alexander Hall <alexander@beard.se>.